> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an inbound shipments

> Create an inbound shipments

### Request body

`CreateInboundShipmentRequest`

<ParamField body="carrier" type="string,null" />

<ParamField body="items" type="CreateInboundShipmentItemRequest[]" required />

<ParamField body="notes" type="string,null" />

<ParamField body="purchase_order_id" type="string,null" />

<ParamField body="supplier_id" type="string" required />

<ParamField body="tracking_number" type="string,null" />

<ParamField body="warehouse_id" type="string,null" />

### Responses

<ResponseField name="201" type="InboundShipmentResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/inbound-shipments' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "carrier": null,
    "items": [
      {
        "product_id": "string",
        "quantity_expected": "string",
        "sku": "string"
      }
    ],
    "notes": null,
    "purchase_order_id": null,
    "supplier_id": "string",
    "tracking_number": null,
    "warehouse_id": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "carrier": null,
    "created_at": "string",
    "id": "string",
    "items": [
      {
        "id": "string",
        "product_id": "string",
        "quantity_expected": "string",
        "quantity_received": "string",
        "sku": "string"
      }
    ],
    "number": "string",
    "status": "string",
    "supplier_id": "string",
    "tracking_number": null
  }
  ```
</ResponseExample>
